var zddh={
huangdong:function(obj){  //晃动
if(obj.go!=null)return;obj.hddex=0;if(obj!=window){
obj.go=setInterval(function(){obj.style.margin=round(random()*10)+" "+round(random()*10);
if(++obj.hddex>5){clearInterval(obj.go);obj.removeAttribute("go");obj.style.margin=""}},30)
}else{var oldpx=parseInt(zd_kuang.style.backgroundPositionX),oldpy=parseInt(zd_kuang.style.backgroundPositionY);
obj.go=setInterval(function(){
zd_kuang.style.padding=random()*10+" "+random()*10;
zd_kuang.style.backgroundPosition=(oldpx+(10-round(random()*20)))+" "+(oldpy+(10-round(random()*20)))
if(++obj.hddex>5){clearInterval(obj.go);obj.go=null;zd_kuang.style.padding="";zd_kuang.style.backgroundPosition=oldpx+" "+oldpy
}},30)}
},
shanguang:function(temcolor1){  //闪光
if(shanguang_kuang.go!=null)return;
shanguang_kuang.style.backgroundColor=temcolor1==null?getcolor():temcolor1;shanguang_kuang.style.display="";
shanguang_kuang.go=setInterval(function(){shanguang_kuang.style.display="none";clearInterval(shanguang_kuang.go);shanguang_kuang.go=null},25)
},
aixin:function(isfuhuo){  //爱心
if(shuzhi.go!=null)return;
var aixin1=document.createElement('IMG');aixin1.src="img/zd/aixin.gif";aixin1.style.zIndex=15000;
if(isfuhuo==null){
aixin1.style.width=shuzhi.offsetWidth;aixin1.style.height=shuzhi.offsetHeight
aixin1.style.left=shuzhi.offsetLeft;aixin1.style.top=shuzhi.offsetTop;
}else{
aixin1.style.width=isfuhuo.offsetWidth;aixin1.style.height=isfuhuo.offsetHeight
aixin1.style.left=isfuhuo.offsetLeft;aixin1.style.top=isfuhuo.offsetTop;
}
document.body.appendChild(aixin1)
shuzhi.go=setTimeout(function(){shuzhi.go=null;aixin1.removeNode(true)},2000)
},
zdtexie:function(jnname,theobj,thejn2){  //战斗特写
var img1=document.createElement('IMG'),img2src="",endmiao=0,theyinxiao="";img1.style.zIndex=9300;
switch(jnname){
case "九阴祭尘烬":img1.src="img/cg/ouyangfeng.jpg";shouce.addcg("ouyangfeng");img2src="img/zd/ouyangfeng.gif";endmiao=3000;theyinxiao="绝技5";break;
case "帅哥精杀":img1.src="img/cg/shuaigejingsha.jpg";shouce.addcg("shuaigejingsha");img2src="img/zd/shuaigejingsha.gif";endmiao=1800;theyinxiao="女笑声2";break;
case "一闪冥王斩":img1.src="img/cg/hadisi.jpg";shouce.addcg("hadisi");img2src="img/zd/hadisi.gif";endmiao=2500;theyinxiao="绝技5";break;
case "灰天血爆绝杀":img1.src="img/cg/xuebao.jpg";shouce.addcg("xuebao");img2src="img/zd/xuebao.gif";endmiao=2500;theyinxiao="绝技5";break;
case "神说俺样最强":img1.src="img/cg/anyangzuiqiang.jpg";shouce.addcg("anyangzuiqiang");img2src="img/zd/anyangzuiqiang.gif";endmiao=5200;theyinxiao="绝技9";break;
case "真·地狱之舞":img1.src="img/cg/diyuzhiwu.jpg";shouce.addcg("diyuzhiwu");img2src="img/zd/diyuzhiwu.gif";endmiao=3000;theyinxiao="绝技7";break;
case "异次元之门":img1.src="img/cg/yiciyuanzhimen.jpg";shouce.addcg("yiciyuanzhimen");img2src="img/zd/yiciyuanzhimen.gif";endmiao=3500;theyinxiao="绝技8";break;
case "黑宇宙の末日序曲":img1.src="img/cg/heiyuzhou.jpg";shouce.addcg("heiyuzhou");img2src="img/zd/heiyuzhou.gif";endmiao=3200;theyinxiao="绝技4";break;
case "光宇宙の绝对领域":img1.src="img/cg/guangyuzhou.jpg";shouce.addcg("guangyuzhou");img2src="img/zd/guangyuzhou.gif";endmiao=3200;theyinxiao="绝技4";break;
}
img1.style.left=0;img1.style.top=0;img1.style.width=bodywid+400;img1.style.height=bodyhei+400;document.body.appendChild(img1);img1.dex=20;
img1.go=setInterval(function(){
if(--img1.dex>-1){img1.style.left=img1.offsetLeft-10;img1.style.top=img1.offsetTop-10;}else{img1.style.width=img1.offsetWidth-20;img1.style.height=img1.offsetHeight-20;img1.style.left=img1.offsetLeft+10;img1.style.top=img1.offsetTop+10;}
if(img1.dex==-20){clearInterval(img1.go);setTimeout(function(){document.body.removeChild(img1);yinxiao(theyinxiao);
var img2=document.createElement("IMG");img2.src=img2src;
img2.style.left=0;img2.style.top=0;img2.style.width=bodywid;img2.style.height=bodyhei
zd_kuang.appendChild(img2);
img2.go=setTimeout(function(){if(thejn2==null){for(var i=0;i<zd.tds.length;i++){if(zd.tds[i]!=null){zddh.enddh(zd.tds[i],theobj,zd.jnobj1.getAttribute("n"));}}
}else{guaidh.addjieshu(theobj,thejn2);}img2.removeNode(true);},endmiao)
},500)}
},50)
},
yinghua:function(thex,they){  //樱花
function addyinghua(nozd){
var img1=document.createElement("IMG");
img1.src="img/qita/yinghua"+Math.ceil(random()*3)+".gif";img1.style.zIndex=150;
img1.style.left=thex;img1.style.top=they;img1.width=10+(random()*20);img1.height=img1.width
img1.dex=0;img1.jiajianx=random()>0.5?true:false;img1.jiajiany=random()>0.5?true:false;
img1.jiadex=2+Math.ceil(random()*6);img1.jiadey=Math.ceil(random()*6);
img1.go=setInterval(function(){
if(++img1.dex>90){clearInterval(img1.go);return img1.removeNode(true);}
img1.jiajianx?img1.style.left=img1.offsetLeft+img1.jiadex-(img1.dex/7):img1.style.left=img1.offsetLeft-img1.jiadex+(img1.dex/7);
img1.jiajiany?img1.style.top=img1.offsetTop+img1.jiadey:img1.style.top=img1.offsetTop-img1.jiadey+(img1.dex/7);
},30);nozd==null?zd_kuang.appendChild(img1):document.body.appendChild(img1);
}
var obj1=new Object();obj1.dex=20+(random()*20);
obj1.go=setInterval(function(){if(--obj1.dex>0)addyinghua();else {clearInterval(obj1.go);obj1=null}},10);
},
ycend:true,  //判断吟唱是否结束
yinchang:function(){  //通用魔法吟唱
zd_kuang.zhenlen=0,zd_kuang.zhencol="#"+getcolor();ycend=false;yinxiao("吟唱1");
var text1=[];text1[0]="太上老君急急如律令";text1[1]="临兵斗者皆列阵在前";text1[2]="南无阿弥陀佛"
text1[3]="焚我残躯熊熊圣火生亦何欢死亦何苦";text1[4]="善有善报恶有恶报不会不报时辰未到";
text1[5]="天外有天人外有人魔外有魔神外有神";text1[6]="般若波罗蜜";text1[7]="哈利路亚";
text1[8]="天地无极乾坤借法";text1[9]="神说解密一切";text1[10]="神说2013-生命";
var text2=text1[Math.floor(text1.length*random())]
for(var i=0;i<text2.length;i++){var ndiv=document.createElement("FONT");
ndiv.style.fontSize="70px";ndiv.fsize=i;ndiv.style.position="absolute";ndiv.style.backgroundColor="black"
ndiv.style.left=zdtuoyuan.offsetLeft+(zdtuoyuan.offsetWidth/2);
ndiv.style.top=zdtuoyuan.offsetTop+(zdtuoyuan.offsetHeight/2);
ndiv.nex=0;ndiv.innerText=text2.substr(i,1);
ndiv.jiao=360/text2.length*i;ndiv.zhou=bodyhei;ndiv.style.visibility="hidden";
zd_kuang.appendChild(ndiv);
zddh.yinchang2(ndiv,ndiv.offsetLeft,ndiv.offsetTop,zdtuoyuan.offsetLeft+(zdtuoyuan.offsetWidth/2),zdtuoyuan.offsetTop+(zdtuoyuan.offsetHeight/2));
}},
yinchang2:function(obj,x,y,oldtuoyuanx,oldtuoyuany){  //通用魔法吟唱2
obj.vis=setTimeout(function(){obj.style.visibility="visible";},35);var thepi=Math.PI
obj.go=setInterval(function(){obj.jiao-=12;
var thesize=parseInt(obj.style.fontSize)-1;obj.style.fontSize=thesize>1?thesize:1;
if(obj.zhou<zdtuoyuan.offsetHeight){
ycend=true;if(++obj.nex>30){clearInterval(obj.go);zd_kuang.removeChild(obj);}
}else{var jianzhou=round($(obj.zhou)/20);if(jianzhou<4)jianzhou=4;obj.zhou-=jianzhou;obj.style.color="#"+getcolor();};
obj.style.left=x+(obj.zhou*Math.cos(obj.jiao*thepi/180));
obj.style.top=y+(obj.zhou*Math.sin(obj.jiao*thepi/180));
if(random()<0.99)return;var obj2=document.createElement("FONT");
obj2.style.width=1;obj2.style.height=Math.ceil(random()*100);obj2.nex=2;obj2.style.position="absolute"
obj2.style.backgroundColor=zd_kuang.zhencol
obj2.style.left=oldtuoyuanx+(100-round(random()*200));obj2.style.top=oldtuoyuany;
zd_kuang.appendChild(obj2);if(obj2.go==null)obj2.go=setInterval(function(){obj2.nex+=2;
obj2.style.top=obj2.offsetTop-obj2.nex;obj2.style.height=obj2.offsetHeight+(obj2.nex/3);
if(obj2.offsetTop+obj2.offsetHeight<0){clearInterval(obj2.go);zd_kuang.removeChild(obj2);}
},25)
},30)
},
cle:function(objgo){if(objgo!=null){clearInterval(objgo);objgo=null}},
shtext:function(x,y,text1,obj1){  //伤害值显示
var htm=document.createElement("DIV")
htm.style.left=x;htm.style.top=y;htm.style.fontWeight="bold";
htm.style.backgroundColor="black";htm.style.color="red";htm.style.fontSize="20px"
htm.innerHTML=text1;text1.indexOf("<br>")!=-1?temp1=1500:temp1=1000;
if(zdsz_new1.checked)temp1/=2;zd_kuang.appendChild(htm)
htm.go=setTimeout(function(){zd_kuang.removeChild(htm)},temp1)

var htm2=document.createElement("DIV")
htm2.style.border="1 solid black";htm2.style.backgroundColor="black";htm2.style.fontSize="1px";
htm2.style.width=zd1td[0].offsetWidth/1.5;htm2.style.height=10;
htm2.style.left=obj1.parentElement.offsetLeft+(zd1td[0].offsetWidth/6);
var thewid="",temphp1=0;if(obj1.id=="zdgw"){temphp1=obj1.shp1<0?0:obj1.shp1;
htm2.style.top=obj1.parentElement.offsetTop;thewid=temphp1/(obj1.shp2/100)+"%";
}else{temphp1=wj[obj1.num].hp1<0?0:wj[obj1.num].hp1;
htm2.style.top=zd2.offsetTop+obj1.parentElement.offsetTop;thewid=temphp1/(wj[obj1.num].hp2/100)+"%";
}
htm2.innerHTML="<img src='img/ico/shuzhi1.gif' style='width:"+thewid+";height:8'>"
zd_kuang.appendChild(htm2);htm2.go=setTimeout(function(){zd_kuang.removeChild(htm2)},temp1)
},
addxy:function(xobj,newx,newy,su){  //斜移函数
var oldx=xobj.offsetLeft,oldy=xobj.offsetTop,x1=$(newx-oldx),y1=$(newy-oldy)
if(x1==0){newx++;x1=$(newx-oldx)}if(y1==0){newy++;y1=$(newy-oldy)}  //防止0为NaN
if(y1>x1){xobj.x2=su/(y1/(newx-oldx));xobj.yibu2=$(x1/xobj.x2);newy-oldy>0?xobj.y2=su:xobj.y2=-su;}
else{xobj.y2=su/(x1/(newy-oldy));xobj.yibu2=$(y1/xobj.y2);newx-oldx>0?xobj.x2=su:xobj.x2=-su;}
xobj.oldx=oldx;xobj.oldy=oldy;xobj.yibu1=0;
},
gj:function(mubiao,jingong){  //攻击过程效果
zd.suoding=true;
if(mubiao.id=="zdme"){  //敌方进攻特效
if(random()<0.65){zdhelp("攻击");var thesheng=xml.getgw(jingong.sname).getAttribute("sheng")
if(thesheng==null){yinxiao("怪攻声")}else if(thesheng=="男性"){yinxiao("男攻声")}else if(thesheng=="女性"){yinxiao("女攻声")}else if(thesheng=="机器"){yinxiao("机攻声")}else if(thesheng=="神裔"){yinxiao("神攻声")}
jingong.style.visibility="hidden"
var obj=document.createElement("IMG");obj.src=jingong.src;
obj.style.left=zdtuoyuan.offsetLeft;obj.style.top=zdtuoyuan.offsetTop-50;zd_kuang.appendChild(obj)
var newx=mubiao.parentElement.offsetLeft+(mubiao.parentElement.offsetWidth/2)
var newy=mubiao.parentElement.offsetTop+(mubiao.parentElement.offsetHeight/2)+zd2.offsetTop
zddh.addxy(obj,newx,newy,19)
obj.go=setInterval(function(){if(++obj.yibu1>obj.yibu2){zddh.enddh(mubiao,jingong,"常规攻击");jingong.style.visibility="visible";zddh.cle(obj.go);return obj.removeNode(true)};obj.style.left=obj.x2*obj.yibu1+obj.oldx;obj.style.top=obj.y2*obj.yibu1+obj.oldy},25)
}else{  //魔法普通攻击
yinxiao("发射17");zdhelp("魔攻");
var obj=document.createElement("IMG");obj.src="img/zd/gwgj_mogong.gif"
obj.style.left=zdtuoyuan.offsetLeft;obj.style.top=zdtuoyuan.offsetTop;zd_kuang.appendChild(obj)
var newx=mubiao.parentElement.offsetLeft+(mubiao.parentElement.offsetWidth/2)
var newy=mubiao.parentElement.offsetTop+(mubiao.parentElement.offsetHeight/2)+zd2.offsetTop
zddh.addxy(obj,newx,newy,23)
obj.go=setInterval(function(){if(++obj.yibu1>obj.yibu2){zddh.enddh(mubiao,jingong,"常规魔法攻击");zddh.cle(obj.go);return obj.removeNode(true)};obj.style.left=obj.x2*obj.yibu1+obj.oldx;obj.style.top=obj.y2*obj.yibu1+obj.oldy},25)
}
return;}

if(jingong.sname==wj[0].name){  //我方进攻特效,队长攻击
jingong.style.visibility="hidden";zdhelp("攻击");
var obj=document.createElement("IMG");
if(yd.zt=="飞行"){obj.src="img/xingzou/rpg1_fei_att1.gif";
obj.style.left=mubiao.parentElement.offsetLeft+(mubiao.parentElement.offsetWidth/2)
obj.style.top=mubiao.parentElement.offsetTop
}else{
obj.src="img/xingzou/rpg1_att1.gif";
obj.style.left=mubiao.parentElement.offsetLeft
obj.style.top=mubiao.parentElement.offsetTop+(mubiao.parentElement.offsetHeight/2)
}
zd_kuang.appendChild(obj);
wj[0].xingbie=="女性"?yinxiao("女攻声"):yinxiao("男攻声");
obj.go=setTimeout(function(){zddh.enddh(mubiao,jingong,"常规攻击");obj.removeNode(true);jingong.style.visibility="visible"},800);return;
}  //武将攻击
if(random()<=0.50){var thesheng=xml.getgw(wj[jingong.num].yuanming).getAttribute("sheng")
jingong.style.visibility="hidden";zdhelp("攻击");
if(thesheng==null){yinxiao("怪攻声")}else if(thesheng=="男性"){yinxiao("男攻声")}else if(thesheng=="女性"){yinxiao("女攻声")}else if(thesheng=="机器"){yinxiao("机攻声")}else if(thesheng=="神裔"){yinxiao("神攻声")}
var obj=document.createElement("IMG");obj.src=jingong.src;
obj.style.left=zdtuoyuan.offsetLeft;obj.style.top=zdtuoyuan.offsetTop;zd_kuang.appendChild(obj)
var newx=mubiao.parentElement.offsetLeft+(mubiao.parentElement.offsetWidth/2)
var newy=mubiao.parentElement.offsetTop+(mubiao.parentElement.offsetHeight/2)
zddh.addxy(obj,newx,newy,18)
obj.go=setInterval(function(){if(++obj.yibu1>obj.yibu2){zddh.enddh(mubiao,jingong,"常规攻击");jingong.style.visibility="visible";zddh.cle(obj.go);return obj.removeNode(true)};obj.style.left=obj.x2*obj.yibu1+obj.oldx;obj.style.top=obj.y2*obj.yibu1+obj.oldy},25)
}else{  //武将魔法攻击
yinxiao("发射17");zdhelp("魔攻");
var obj=document.createElement("IMG");obj.src="img/zd/gwgj_mogong.gif"
obj.style.left=zdtuoyuan.offsetLeft;obj.style.top=zdtuoyuan.offsetTop;zd_kuang.appendChild(obj)
var newx=mubiao.parentElement.offsetLeft+(mubiao.parentElement.offsetWidth/2)
var newy=mubiao.parentElement.offsetTop+(mubiao.parentElement.offsetHeight/2)
zddh.addxy(obj,newx,newy,22)
obj.go=setInterval(function(){if(++obj.yibu1>obj.yibu2){zddh.enddh(mubiao,jingong,"常规魔法攻击");zddh.cle(obj.go);return obj.removeNode(true)};obj.style.left=obj.x2*obj.yibu1+obj.oldx;obj.style.top=obj.y2*obj.yibu1+obj.oldy},25)
}

},

rpgjn:function(jnname,jingong){  //技能动画启动
var kexing=false,len1=zd.tds.length  //测试指令最初的是那个怪(如怪逃跑,无目标的情况下)
zddh.endcishu=0;for(var i=0;i<len1;i++){if(zd.tds[i]!=null){if(kexing==false)kexing=i;zddh.endcishu++;}}
var par=zd.tds[kexing].parentElement
var parwid=par.offsetWidth,parhei=par.offsetHeight
var addjieshu=function(thego){for(var i=0;i<len1;i++){if(zd.tds[i]!=null)zddh.enddh(zd.tds[i],jingong,jnname);}
if(thego!=null)zddh.cle(thego);
}
var tyleft=zdtuoyuan.offsetLeft+(zdtuoyuan.offsetWidth/2)  //常用,释放的中心
var tytop=zdtuoyuan.offsetTop+(zdtuoyuan.offsetHeight/2)

if(yd.zt=="飞行"){zdme.src="img/xingzou/rpg1_fei1_mofa1.gif";}else{zdme.src="img/xingzou/rpg1_mofa1.gif";}
setTimeout('try{zdme.src=yd.zt=="飞行"?"img/xingzou/rpg1_fei1_up1.gif":"img/xingzou/rpg1_up1.gif";}catch(e){temp1="我操，这里害了我3小时，防止清空INNERHTML，以至zdme不存在所以错误"}',2500);

if(xml.getjn(jnname).getAttribute("sound1")!=null){
if(jnname=="天赐甘霖"||jnname=="进攻战术"||jnname=="伤痛减轻"||jnname=="血魔附体"||jnname=="怒焰狂燃"||jnname=="奋力一击"){}else{yinxiao(xml.getjn(jnname).getAttribute("sound1"))}
}

if(jnname=="圣火"){
for(var i=0;i<len1;i++){if(zd.tds[i]==null)continue;
var obj=document.createElement("IMG");obj.src="img/zd/jn_sh.gif";
obj.style.left=tyleft;
obj.style.top=tytop;zd_kuang.appendChild(obj)
var newx=zd.tds[i].parentElement.offsetLeft+(parwid/2)
var newy=zd.tds[i].parentElement.offsetTop+(parhei/2)
zddh.addxy(obj,newx,newy,25)
zddh.jn_圣火2(obj,zd.tds[i],jingong,obj.x2,obj.oldx,obj.y2,obj.oldy);
}
}else if(jnname=="俘获"){zd.jnobj1=xml.getjn("俘获");zd.jnobj2=zd.jnobj1.selectNodes('lv')[0]
var tempx=par.offsetLeft+(par.offsetWidth/2)-170,tempy=par.offsetTop+(par.offsetHeight/2)-170;
var obj=document.createElement("IMG");obj.src="img/zd/fuhuo.gif";
obj.style.width=340;obj.style.height=340;obj.style.left=tempx;obj.style.top=tempy;
obj.go=setInterval(function(){
if(obj.offsetWidth>zd1td[0].offsetHeight){obj.style.left=obj.offsetLeft+8;obj.style.width=obj.offsetWidth-16;
obj.style.top=obj.offsetTop+8;obj.style.height=obj.offsetHeight-16;}else{
zddh.enddh(zd.tds[0],jingong,jnname);zddh.cle(obj.go);obj.removeNode(true);
}},30)
zd_kuang.appendChild(obj);
}else if(jnname=="陨石降"){
var obj=document.createElement("IMG");obj.src="img/zd/jn_ysj.gif"
obj.style.width=bodywid/1.5;obj.style.height=zd1.offsetHeight
obj.style.left=bodywid-(bodywid/1.5);obj.style.top=0;
if(random()>0.5){obj.style.left=0;obj.style.top=0;obj.style.filter="fliph"}
zd_kuang.appendChild(obj);
obj.go=setTimeout(function(){addjieshu(obj.go);return obj.removeNode(true)},1760)
}else if(jnname=="火墙"){
var img1=document.createElement("IMG");img1.src="img/zd/huoqiang1.gif";
img1.style.left=0;img1.style.top=zd1.offsetTop;img1.style.zIndex=5;
img1.style.width=bodywid;img1.style.height=zd1.offsetHeight
zd_kuang.appendChild(img1);img1.go=setTimeout(function(){
addjieshu(img1.go);return img1.removeNode(true);},1400)


for(var i=0;i<len1;i++){if(zd.tds[i]==null)continue;
if(zd.tds[i].parentElement.huoqiang!=null){  //清除以往火墙
zddh.cle(zd.tds[i].parentElement.huoqiang.go);zd.tds[i].parentElement.huoqiang.removeNode(true);zd.tds[i].parentElement.huoqiang=null;
}
var obj=document.createElement("IMG");obj.src="img/zd/jn_new7.gif";
obj.style.left=zd.tds[i].parentElement.offsetLeft;obj.style.top=zd.tds[i].parentElement.offsetTop+zd1td[0].offsetHeight-(zd1td[0].offsetHeight/2.5);
obj.huihe=jnobj2.getAttribute("miao");zd_kuang.appendChild(obj);
zddh.jn_火墙2(obj,zd.tds[i],jingong);
}
}else if(jnname=="袭爪千雷破"){
var obj=document.createElement('IMG');obj.src="img/zd/jn_xzqlp.gif";
obj.style.left=(bodywid/3);obj.style.top=0;
obj.go=setInterval(function(){
if(obj.offsetLeft<(bodywid/3)*2){obj.style.left=obj.offsetLeft+20;obj.style.top=obj.offsetTop+13;}else{zddh.cle(obj.go);
obj.removeNode(true);yinxiao("击中13");var obj2=document.createElement('IMG');obj2.src="img/zd/jn_xzqlp.gif";
obj2.style.left=(bodywid/3)*2;obj2.style.top=0;obj2.style.filter="fliph";zd_kuang.appendChild(obj2);
obj2.go=setInterval(function(){
if(obj2.offsetLeft>bodywid/3){obj2.style.left=obj2.offsetLeft-20;obj2.style.top=obj2.offsetTop+13;}else{zddh.cle(obj2.go);
obj2.removeNode(true);addjieshu();}
},25);}
},25)
zd_kuang.appendChild(obj);
}else if(jnname=="天罚狂雷"){
var obj=document.createElement("IMG");obj.src="img/zd/leidian1.gif";
obj.style.left=zd.zhongxin.offsetLeft-zd.zhongxin.offsetWidth;obj.style.top=0;obj.style.width=zd.zhongxin.offsetWidth*3;obj.style.height=zd1.offsetHeight
zd_kuang.appendChild(obj)
obj.go=setTimeout(function(){addjieshu(obj.go);return obj.removeNode(true)},1500)
}else if(jnname=="虎牙双破斩"){
for(var i=0;i<len1;i++){if(zd.tds[i]==null)continue;
var obj=document.createElement("V:IMAGE");obj.src="img/zd/hyspz.gif";
obj.style.left=tyleft;obj.style.top=tytop;obj.style.width=103;obj.style.height=140;
zd_kuang.appendChild(obj)
var newx=zd.tds[i].parentElement.offsetLeft+(parwid/2)
var newy=zd.tds[i].parentElement.offsetTop+(parhei/2)
zddh.addxy(obj,newx,newy,14)
zddh.jn_虎牙双破斩2(obj,zd.tds[i],jingong,obj.x2,obj.oldx,obj.y2,obj.oldy);
}
}else if(jnname=="飞翔天征剑"){
setTimeout(function(){zddh.shanguang("black");yinxiao("发射21")
for(var i=0;i<len1;i++){if(zd.tds[i]==null)continue;
var obj=document.createElement("IMG");obj.src="img/zd/fxtzj1.gif";
obj.style.left=tyleft;obj.style.top=tytop;zd_kuang.appendChild(obj)
var newx=zd.tds[i].parentElement.offsetLeft+(parwid/2)
var newy=zd.tds[i].parentElement.offsetTop+(parhei/2)
zddh.addxy(obj,newx,newy,22)
zddh.jn_飞翔天征剑2(obj,zd.tds[i],jingong,obj.x2,obj.oldx,obj.y2,obj.oldy);
}
},2000)
}else if(jnname=="天魔流星剑"){
setTimeout(function(){zddh.shanguang("black");yinxiao("发射24")
var obj=document.createElement("IMG");obj.src="img/zd/tianmoliuxingjian.gif"
obj.style.width=bodywid;obj.style.height=zd1.offsetHeight;obj.style.left=0;obj.style.top=0;
if(random()>0.5){obj.style.filter="fliph"}
zd_kuang.appendChild(obj);
obj.go=setTimeout(function(){addjieshu(obj.go);return obj.removeNode(true)},1800)
},2000)
}else if(jnname=="圣光斩"){
setTimeout(function(){zddh.shanguang("yellow");yinxiao("发射29")
var obj=document.createElement("IMG");obj.src="img/zd/shengguangzhan.gif"
obj.style.width=bodywid;obj.style.height=zd1.offsetHeight;obj.style.left=0;obj.style.top=0;
zd_kuang.appendChild(obj);
obj.go=setTimeout(function(){addjieshu(obj.go);return obj.removeNode(true)},2700)
},1400)
}else if(jnname=="星光灭绝"){
setTimeout(function(){zddh.shanguang("black");yinxiao("发射31")
var obj=document.createElement("IMG");obj.src="img/zd/xingguangmiejue.gif"
obj.style.width=bodywid;obj.style.height=zd1.offsetHeight;obj.style.left=0;obj.style.top=0;
if(random()>0.5){obj.style.filter="fliph"}
zd_kuang.appendChild(obj);
obj.go=setTimeout(function(){addjieshu(obj.go);return obj.removeNode(true)},2000)
},2400)
}else if(jnname=="极光次元斩"){
var obj2=document.createElement("IMG");obj2.src="img/zd/ciyuan1.gif";
obj2.style.left=tyleft-106;obj2.style.top=tytop-81;zd_kuang.appendChild(obj2);
obj2.go=setTimeout(function(){zd_kuang.removeChild(obj2)},1400);selwj.hp1=round(selwj.hp1*0.8);
for(var i=0;i<len1;i++){if(zd.tds[i]==null)continue;
var obj=document.createElement("IMG");obj.src="img/zd/jn_new1.gif";
obj.style.left=zd.tds[i].parentElement.offsetLeft
obj.style.top=zd.tds[i].parentElement.offsetTop
zd_kuang.appendChild(obj);zddh.jn_极光次元斩2(obj,zd.tds[i],jingong);
}
}else if(jnname=="乱舞炎龙霸"){
var obj=document.createElement("IMG");obj.src="img/zd/jn_ylb.gif"
obj.style.left=zd.zhongxin.offsetLeft;obj.style.top=1;
obj.style.width=zd1td[0].offsetWidth;obj.style.height=zd1.offsetHeight;
zd_kuang.appendChild(obj)
obj.go=setTimeout(function(){
for(var i=0;i<len1;i++){if(zd.tds[i]!=null){zddh.enddh(zd.tds[i],jingong,jnname);}}zd_kuang.removeChild(obj)
},1200)
}else if(jnname=="蓄能击退"){
var obj=document.createElement("IMG");obj.src="img/zd/xunengjitui.gif"
obj.style.left=zd.zhongxin.offsetLeft-(zd1td[0].offsetWidth/2);obj.style.top=1;
obj.style.width=zd1td[0].offsetWidth*2;obj.style.height=zd2.offsetTop+jingong.parentElement.offsetTop+zd1td[0].offsetHeight;
zd_kuang.appendChild(obj)
obj.go=setTimeout(function(){
for(var i=0;i<len1;i++){if(zd.tds[i]!=null){zddh.enddh(zd.tds[i],jingong,jnname);}}zd_kuang.removeChild(obj)
},1000)
}else if(jnname=="光弧球"){
for(var i=0;i<len1;i++){if(zd.tds[i]==null)continue;
var obj=document.createElement("IMG");obj.src="img/zd/jn_guanghuqiu.gif";
obj.style.left=tyleft;obj.style.top=tytop;zd_kuang.appendChild(obj)
var newx=zd.tds[i].parentElement.offsetLeft+(parwid/2)
var newy=zd.tds[i].parentElement.offsetTop+(parhei/2)
zddh.addxy(obj,newx,newy,20)
zddh.jn_光弧球2(obj,zd.tds[i],jingong,obj.x2,obj.oldx,obj.y2,obj.oldy);
}
}else if(jnname=="地狱火"){
var obj=document.createElement("IMG");obj.src="img/zd/jn_dyh.gif";
obj.style.left=0;obj.style.top=zd1.offsetHeight/4;obj.style.width=bodywid;obj.style.height=zd1.offsetHeight/2
zd_kuang.appendChild(obj)
obj.go=setTimeout(function(){addjieshu(obj.go);return obj.removeNode(true)},1500)
}else if(jnname=="定点清除"){
var tempx=par.offsetLeft+(parwid/2)-174,tempy=par.offsetTop+(parhei/2)-174;
var obj=document.createElement("IMG");obj.src="img/zd/dingdianqingchu.gif";
obj.style.width=348;obj.style.height=348;obj.style.left=tempx;obj.style.top=tempy;obj.dengdai=6
obj.go=setInterval(function(){
if(parseInt(obj.style.width)>20){obj.style.left=parseInt(obj.style.left)+6;obj.style.width=parseInt(obj.style.width)-12;
obj.style.top=parseInt(obj.style.top)+6;obj.style.height=parseInt(obj.style.height)-12;}else{
if(obj.dengdai==6)obj.src="img/zd/dingdianqingchu2.gif";
if(--obj.dengdai<0){zddh.enddh(zd.tds[0],jingong,jnname);zddh.cle(obj.go);obj.removeNode(true);}
}
},25)
zd_kuang.appendChild(obj);
}else if(jnname=="电磁漩涡"){
var obj=document.createElement("IMG");obj.src="img/zd/jn_dcxw.gif"
obj.style.width=parwid*2;obj.style.height=parhei*3;
obj.style.left=zd.zhongxin.offsetLeft-(zd.zhongxin.offsetWidth/2);
obj.style.top=zd.zhongxin.offsetTop-zd.zhongxin.offsetHeight;
obj.go=setTimeout(function(){addjieshu();return obj.removeNode(true)},1300)
zd_kuang.appendChild(obj);
}else if(jnname=="双雷斩"){
var obj=document.createElement("IMG");obj.src="img/zd/jn_slz1.gif"
obj.style.left=zd.zhongxin.offsetLeft;obj.style.top=zd.zhongxin.offsetTop-zd.zhongxin.offsetHeight;
obj.go1=setTimeout(function(){obj.src="img/zd/jn_slz2.gif"},900)
obj.go2=setTimeout(function(){addjieshu();return obj.removeNode(true)},1500)
zd_kuang.appendChild(obj);
}else if(jnname=="小旋风"){
zd_kuang.jnxxf=4;for(var i=0;i<4;i++){
var obj=document.createElement("IMG");obj.src="img/zd/jn_xxf.gif";
obj.style.left=zd.zhongxin.offsetLeft;obj.style.top=zd.zhongxin.offsetTop;obj.dex=1;
zd_kuang.appendChild(obj);zddh.jn_小旋风2(obj,jingong,i)
}
}else if(jnname=="吸星大法"){
var obj=document.createElement("IMG");obj.src="img/zd/xixingdafa1.gif"
obj.style.width=parwid*2;obj.style.height=parhei*3;
obj.style.left=zd.zhongxin.offsetLeft-(zd.zhongxin.offsetWidth/2);
obj.style.top=zd.zhongxin.offsetTop-zd.zhongxin.offsetHeight;
zd_kuang.appendChild(obj);
var obj2=document.createElement("IMG");obj2.src="img/zd/xixingdafa2.gif"
obj2.style.width=parwid;obj2.style.height=parhei;obj2.style.left=jingong.parentElement.offsetLeft;
obj2.style.top=zd2.offsetTop+jingong.parentElement.offsetTop
zd_kuang.appendChild(obj2);
obj.go=setTimeout(function(){addjieshu();obj2.removeNode(true);return obj.removeNode(true)},1300)
}else if(jnname=="天赐甘霖"||jnname=="伤痛减轻"||jnname=="进攻战术"||jnname=="血魔附体"||jnname=="怒焰狂燃"){
zddh.yinchang();zd_kuang.go=setInterval(function(){if(ycend==false)return;
if(xml.getjn(jnname).getAttribute("sound1")!=null)yinxiao(xml.getjn(jnname).getAttribute("sound1"))
var obj=document.createElement("IMG");obj.src="img/zd/caiyun.gif";obj.style.width=bodywid;obj.style.height=bodyhei/4
obj.style.left=0;obj.style.top=bodyhei-(bodyhei/4);zd_kuang.appendChild(obj);
obj.go=setTimeout(function(){zddh.endcishu=0;
jn.usexiaoguo(zd.jnobj1,zd.jnobj2);zddh.enddh2(jingong,jnname+" 状态追加成功!");obj.removeNode(true)
},2000);
zddh.cle(zd_kuang.go);},400)
}else if(jnname=="销声匿迹"){
zd2.style.filter="progid:DXImageTransform.Microsoft.Pixelate(duration=3,enabled='false')";
zd2.filters[0].Apply();zd2.style.visibility="hidden";zd2.filters[0].Play();
zd2.go=setTimeout(function(){zd.jieshu();zd2.style.filter=null;zd2.style.visibility="visible";},2500);
}else if(jnname=="气贯长虹"){
var obj=document.createElement("IMG");obj.src="img/zd/zhansha.gif";obj.style.width="100%";obj.style.height=zd2td[0].offsetHeight;
obj.style.left=0;obj.style.top=par.offsetTop
zd_kuang.appendChild(obj)
obj.go=setTimeout(function(){addjieshu(obj.go);return obj.removeNode(true)},1000)
}else if(jnname=="死亡射线"){
var obj=document.createElement("IMG");obj.src="img/zd/siwangshexian.gif";
obj.style.left=0;obj.style.top=zd1.offsetHeight/2-10;obj.style.width=bodywid;obj.style.height=20
obj.dex=0;zd_kuang.appendChild(obj)
obj.go=setInterval(function(){if(++obj.dex>14){addjieshu(obj.go);return obj.removeNode(true)}
else{obj.style.top=obj.offsetTop-4;obj.style.height=obj.offsetHeight+8}
},100)
}else if(jnname=="龙震"){
var obj=document.createElement("IMG");obj.src="img/zd/jn_dizhen.gif";
obj.style.left=bodywid/2-124;obj.style.top=bodyhei/2-188;
zd_kuang.appendChild(obj)
zd1.dex1=0;zd1.dex2=20;
var oldpx=parseInt(zd_kuang.style.backgroundPositionX),oldpy=parseInt(zd_kuang.style.backgroundPositionY);
zd1.go=setInterval(function(){if(++zd1.dex1>20)--zd1.dex2;
if(zd1.dex1<20){
zd1.style.margin=random()*zd1.dex1+" "+random()*zd1.dex1
zd_kuang.style.backgroundPosition=(oldpx+(zd1.dex1-round(zd1.dex1*2*random())))+" "+(oldpy+(zd1.dex1-round(zd1.dex1*2*random())))
}else{
zd1.style.margin=random()*zd1.dex2+" "+random()*zd1.dex2
zd_kuang.style.backgroundPosition=(oldpx+(zd1.dex2-round(zd1.dex2*2*random())))+" "+(oldpy+(zd1.dex2-round(zd1.dex2*2*random())))
}
obj.style.margin=zd1.style.margin
if(zd1.dex2<1){zd_kuang.removeChild(obj);zd1.style.margin="";zd_kuang.style.backgroundPosition=oldpx+" "+oldpy;addjieshu(zd1.go);}
},50)
}else if(jnname=="病毒瘟疫"){
for(var i=0;i<len1;i++){if(zd.tds[i]==null)continue;
var obj=document.createElement("IMG");obj.src="img/zd/zhongdu1.gif";
obj.style.left=zd.tds[i].parentElement.offsetLeft;obj.style.top=zd.tds[i].parentElement.offsetTop;
obj.style.width=zd1td[0].offsetWidth;obj.style.height=zd1td[0].offsetHeight;
zd_kuang.appendChild(obj);zddh.jn_病毒瘟疫2(obj);}
setTimeout(function(){addjieshu();},2000);
}else if(jnname=="魔女诅咒"){
var obj=document.createElement("IMG");obj.src="img/zd/monv.gif";
obj.style.left=bodywid/2-272;obj.style.top=bodyhei/2-144;obj.style.visibility="hidden";
zd_kuang.appendChild(obj);obj.style.filter="revealtrans(duration=2.2,transition=12";obj.filters[0].apply();
obj.style.visibility="visible";obj.filters[0].play();
setTimeout(function(){obj.style.filter=null;obj.removeNode(true);addjieshu();},2500)
}else if(jnname=="希望之光"){
var obj=document.createElement("IMG");obj.src="img/zd/xiwangzhiguang.gif";
obj.style.left=0;obj.style.top=zd2.offsetTop;obj.style.width=bodywid;obj.style.height=zd2.offsetHeight
zd_kuang.appendChild(obj);obj.go=setTimeout(function(){
for(var i=0;i<len1;i++){if(zd.tds[i]==null)continue;zddh.jn_希望之光2(zd.tds[i]);}
return obj.removeNode(true)},2000)
}else if(jnname=="月牙突"){
var obj=document.createElement("IMG");obj.src="img/zd/yueyatu.gif";
obj.style.left=bodywid-100;obj.style.top=zd1.offsetHeight/2-111;obj.dex=2;
obj.go=setInterval(function(){obj.dex+=2;obj.style.left=obj.offsetLeft-obj.dex;
if(obj.offsetLeft<-100){zddh.cle(obj.go);obj.removeNode(true)}
},25);zd_kuang.appendChild(obj);
var obj2=document.createElement("IMG");obj2.src="img/zd/yueyatu.gif";
obj2.style.left=0;obj2.style.top=zd1.offsetHeight/2-111;obj2.dex=2;obj2.style.filter="fliph"
obj2.go=setInterval(function(){obj2.dex+=2;obj2.style.left=obj2.offsetLeft+obj2.dex;
if(obj2.offsetLeft>bodywid){addjieshu(obj2.go);obj2.removeNode(true);}
},25);zd_kuang.appendChild(obj2);
}else if(jnname=="天使箭阵"){zd1.dex=0;zd1.go=setInterval(function(){
if(++zd1.dex>20)addjieshu(zd1.go);
var obj=document.createElement("IMG");obj.src="img/zd/jn_tsjz.gif";obj.dex=1;var tdhei3=zd1td[0].offsetWidth*2
var tempwid=10+(random()*30);obj.style.width=tempwid;obj.style.height=tempwid*3.5;
obj.style.left=zd.zhongxin.offsetLeft+(zd.zhongxin.offsetWidth/2)+(tdhei3/2-(tdhei3*random()));obj.style.top=bodyhei-(tempwid*2);
obj.go=setInterval(function(){obj.dex+=4;obj.style.top=obj.offsetTop-obj.dex;
if(obj.offsetTop<-obj.offsetHeight){zddh.cle(obj.go);obj.removeNode(true)}
},35);zd_kuang.appendChild(obj);
},90)
}else if(jnname=="雷光破"){for(var i=0;i<len1;i++){if(zd.tds[i]==null)continue;
var obj=document.createElement("IMG");obj.src="img/zd/leiguangpo.gif";
obj.style.left=tyleft;obj.style.top=tytop;zd_kuang.appendChild(obj)
var newx=zd.tds[i].parentElement.offsetLeft+(parwid/2)
var newy=zd.tds[i].parentElement.offsetTop+(parhei/2)
zddh.addxy(obj,newx,newy,22)
zddh.jn_雷光破2(obj,zd.tds[i],jingong,obj.x2,obj.oldx,obj.y2,obj.oldy);
}
}else if(jnname=="治愈术"){
for(var i=0;i<len1;i++){if(zd.tds[i]==null)continue;
var obj=document.createElement("IMG");obj.src="img/zd/jn_zys.gif"
obj.style.left=zd.tds[i].parentElement.offsetLeft
obj.style.top=zd2.offsetTop+zd.tds[i].parentElement.offsetTop-parhei
obj.style.width=zd1td[0].offsetWidth;obj.style.height=150;zd_kuang.appendChild(obj);
zddh.jn_治愈术2(obj,zd.tds[i])
}  //end for
}else if(jnname=="解毒术"){
var obj=document.createElement("IMG");obj.src="img/zd/jiedushu.gif";obj.style.width=390;obj.style.height=248
obj.style.left=bodywid/2-195;obj.style.top=bodyhei/2-124;zd_kuang.appendChild(obj);
setTimeout(function(){obj.removeNode(true);zddh.endcishu=0;zddh.enddh2(jingong,jn.jieduwpjn(zd.getweili()))},1700)
}else if(jnname=="集气法"){
var obj=document.createElement("IMG");obj.src="img/zd/jiqifa.gif";obj.style.width=parwid;obj.style.height=parhei*2
obj.style.left=par.offsetLeft;obj.style.top=zd2.offsetTop+par.offsetTop-parhei
zd_kuang.appendChild(obj)
obj.go=setTimeout(function(){zddh.enddh2(zd.tds[0],jn.usexiaoguo(zd.jnobj1,zd.jnobj2,wj[zd.tds[0].num])+"%");return obj.removeNode(true)},2000)
}else if(jnname=="奋力一击"){
jingong.style.visibility="hidden";
var obj=document.createElement("IMG");
if(selwj==wj[0]){
if(yd.zt=="飞行"){obj.src="img/zd/jn_flyj_fei.gif";obj.style.left=par.offsetLeft+(parwid/2)
obj.style.top=par.offsetTop}else{
obj.src="img/zd/jn_flyj.gif";obj.style.left=par.offsetLeft;obj.style.top=par.offsetTop+(parhei/2)}
}else{obj.src=selwj.src;obj.style.left=par.offsetLeft-(parwid/3);obj.style.top=par.offsetTop}
zd_kuang.appendChild(obj);
if(selwj.xingbie=="男性"){yinxiao("男攻声")}else if(selwj.xingbie=="女性"){yinxiao("女攻声")}else if(selwj.xingbie=="机器"){yinxiao("机攻声")}else if(selwj.xingbie=="神裔"){yinxiao("神攻声")}else{yinxiao("怪攻声")}
obj.go=setTimeout(function(){zddh.enddh(zd.tds[0],jingong,jnname);obj.removeNode(true);jingong.style.visibility="visible"},1000)
}else if(jnname=="坚冰柱"){
var obj=document.createElement("IMG");obj.src="img/zd/jn_jbz.gif"
obj.style.left=par.offsetLeft;obj.style.top=0
obj.style.width=parwid;obj.style.height=zd2.offsetHeight
zd_kuang.appendChild(obj);
obj.go=setTimeout(function(){addjieshu(obj.go);return obj.removeNode(true)},850)
}else if(jnname=="十字斩"){
var obj=document.createElement("IMG");obj.src="img/zd/zhansha.gif";
obj.style.width=bodywid;obj.style.height=zd2td[0].offsetHeight;obj.style.left=0;
obj.style.top=zd.zhongxin.offsetTop;zd_kuang.appendChild(obj)
obj.go=setTimeout(function(){
var obj2=document.createElement("IMG");obj2.src="img/zd/zhansha2.gif";yinxiao("发射3")
obj2.style.width=zd2td[0].offsetWidth;obj2.style.height=bodyhei;obj2.style.left=zd.zhongxin.offsetLeft;obj2.style.top=0;
zd_kuang.appendChild(obj2)
obj2.go=setTimeout(function(){addjieshu(obj2.go);obj2.removeNode(true)},1000);obj.removeNode(true)
},1000)
}else if(jnname=="暗黑时代合战"){
var jiaobj=document.createElement("IMG");jiaobj.src="img/gw/anhei13.gif";jiaobj.style.top=bodyhei+200;zd_kuang.appendChild(jiaobj);
jiaobj.style.left=bodywid/2-(jiaobj.offsetWidth/2);
jiaobj.go=setInterval(function(){
if(jiaobj.offsetTop>bodyhei/2-(jiaobj.offsetHeight/2)){jiaobj.style.top=jiaobj.offsetTop-15}else{zddh.cle(jiaobj.go);}
},30)
zd_kuang.jingong=jingong;yinxiao("风1");
var obj=document.createElement("IMG");obj.src="img/lihui/fyw.gif";obj.style.height="100%";
obj.style.filter="progid:DXImageTransform.Microsoft.Pixelate(duration=1.5,enabled='true',maxSquare=30)";obj.style.visibility="hidden";zd_kuang.appendChild(obj);
obj.style.left=bodywid-obj.offsetWidth;obj.style.top=bodyhei-obj.offsetHeight;obj.style.zIndex=5;
obj.filters[0].apply();obj.style.visibility="visible";obj.filters[0].play();zd_kuang.cishu=20;
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,wj[0].name+":来吧,暗黑兄弟!")},1000)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"风云舞:领受 - 地狱之舞");},2000)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"敌人:地……令神惊叹的地狱之舞！");zddh.huangdong(window);
obj.go=setInterval(function(){if(--zd_kuang.cishu>0){
var zhadan=document.createElement("IMG");zhadan.src="img/zd/end6.gif";zhadan.style.left=bodywid*random()-50;zhadan.style.top=zd1.offsetHeight*random()-110;
zhadan.go=setTimeout(function(){zd_kuang.removeChild(zhadan);},800)
zd_kuang.appendChild(zhadan);if(zd_kuang.cishu%4==0){yinxiao("击中4");}
if(zd_kuang.cishu<10&&obj.chongsha==null&&zd.booszhan==true){yinxiao("冲杀1");obj.chongsha=true;}
}else{zddh.cle(obj.go);
if(zd.booszhan){zddh.jn_暗黑时代合战2(obj,jiaobj)}else{
gdtext(bodywid/2,bodyhei/2,"风云舞:足够了后会有期!");yinxiao("风1");
jiaobj.src="img/zd/yanchen.gif";zddh.cle(jiaobj.go);
jiaobj.go2=setTimeout(function(){jiaobj.style.filter=null;zd_kuang.removeChild(jiaobj)
obj.filters[0].duration=2;obj.filters[0].apply();obj.style.visibility="hidden";obj.filters[0].play();
gdtext(bodywid/2,bodyhei/2,wj[0].name+":谢谢,再见!");
},1100);
setTimeout(function(){zddh.cle(obj.go);zd_kuang.removeChild(obj);addjieshu()},3200)
}}
},150)
},3000)
}else if(jnname=="帝国幻影突刺"){
gdtext(bodywid/2,bodyhei/2,selwj.name+":大陆最强骑士变身!");yinxiao("降落");
jingong.style.filter="progid:DXImageTransform.Microsoft.Pixelate(duration=1.5,enabled='true',maxSquare=10)"
jingong.filters[0].apply();jingong.style.visibility="hidden";jingong.filters[0].play();
var obj=document.createElement("IMG");obj.src="img/gw/diguo10.gif";
obj.style.left=1;obj.style.top=par.offsetTop;obj.style.width=100;obj.style.height=100;
obj.style.visibility="hidden";obj.style.zIndex=5;
obj.style.filter="progid:DXImageTransform.Microsoft.Pixelate(duration=1.5,enabled='true',maxSquare=10) fliph";zd_kuang.appendChild(obj);
setTimeout(function(){obj.filters[0].apply();obj.style.visibility="visible";obj.filters[0].play();yinxiao("风1");
},1000)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,selwj.name+":寂寞难耐,寂寞难耐!");},1500)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,selwj.name+":何等急不可待,幻影骑士突进!!");zddh.shanguang("white");},2500)
obj.dex=1;obj.cishu=1;obj.oldcishu=0;
setTimeout(function(){
obj.go=setInterval(function(){obj.dex+=3;
if(obj.cishu>5){addjieshu(obj.go);obj.style.filter=null;jingong.style.visibility="visible";jingong.style.filter=null;return obj.removeNode(true);}
if(obj.cishu!=obj.oldcishu){obj.oldcishu=obj.cishu;yinxiao("发射17");
obj.cishu%2==0?obj.style.filter="light(enabled=true)":obj.style.filter="light(enabled=true) fliph";}
if(obj.cishu%2==0){obj.style.left=obj.offsetLeft-obj.dex;if(obj.offsetLeft<0){obj.cishu++;obj.style.left=0;}
}else{obj.style.left=obj.offsetLeft+obj.dex;if(obj.offsetLeft>bodywid){obj.cishu++;obj.style.left=bodywid;}}
obj.filters[0].clear();obj.filters[0].addCone(round(obj.offsetWidth*random()),round(obj.offsetHeight*random()),1,round(obj.offsetWidth*random()),round(obj.offsetHeight*random()),round(random()*255),round(random()*255),round(random()*255),100,90);
},30)
for(var i=1;i<10;i++){
var obj2=document.createElement("IMG");obj2.src="img/gw/diguo10.gif";obj2.style.top=obj.offsetTop;
obj2.style.width=obj.offsetWidth;obj2.style.height=obj.offsetHeight;
obj2.dex=1;obj2.cishu=1;obj2.oldcishu=0;obj2.i=100-(i*10);obj2.style.filter="light(enabled=true) fliph";
obj2.style.left=obj.offsetLeft-(obj.offsetWidth/1.5*i);zd_kuang.appendChild(obj2);zddh.jn_帝国幻影突刺2(obj2);
}
},3500)
}else if(jnname=="圣堂神の祝福"){zddh.shanguang("yellow");if(zd.jnobj1.getAttribute("yici")!=null)zd.yicijn+=jnname+",";
var obj=document.createElement("IMG");obj.src="img/zd/stszzf1.gif";obj.style.left=0;obj.style.top=0;obj.style.zIndex=2;
obj.style.width=bodywid;obj.style.height=bodyhei
zd_kuang.appendChild(obj);obj.go=setTimeout(function(){
var obj2=document.createElement("IMG");obj2.src="img/zd/stszzf2.gif";obj2.style.left=0;obj2.style.top=0;obj.style.zIndex=1;
obj2.style.width=bodywid;obj2.style.height=zd1.offsetHeight*1.5;zd_kuang.appendChild(obj2);
obj2.go=setTimeout(function(){
obj.style.filter="progid:DXImageTransform.Microsoft.Pixelate(duration=3,enabled='true',maxSquare=10)"
obj.filters[0].apply();obj.style.visibility="hidden";obj.filters[0].play();
obj2.style.filter="progid:DXImageTransform.Microsoft.Pixelate(duration=3,enabled='true',maxSquare=10)"
obj2.filters[0].apply();obj2.style.visibility="hidden";obj2.filters[0].play();
setTimeout(function(){for(var i=0;i<len1;i++){if(zd.tds[i]==null)continue;
zddh.jn_圣堂神の祝福2(zd.tds[i])
}
obj.style.filter=null;obj2.style.filter=null;zd_kuang.removeChild(obj);zd_kuang.removeChild(obj2);gx_rpg();zddh.shanguang("white");
},3000)
},2800)
},2500)
}else if(jnname=="地狱魔の审判"){
var obj=document.createElement("IMG");obj.src="img/lihui/xitisi.gif";obj.style.height="100%";yinxiao("风1");zd_kuang.jingong=jingong;
obj.style.filter="progid:DXImageTransform.Microsoft.Pixelate(duration=2,enabled='true',maxSquare=30)";obj.style.visibility="hidden";zd_kuang.appendChild(obj);
obj.style.left=bodywid-obj.offsetWidth;obj.style.top=bodyhei-obj.offsetHeight;
obj.filters[0].apply();obj.style.visibility="visible";obj.filters[0].play();obj.cishu=100;
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"西提斯:难忘之夜!")},1500)
setTimeout(function(){
obj.go=setInterval(function(){if(obj.cishu>0){obj.cishu-=4;if(zd_kuang.style.filter!="light(enabled=true)")zd_kuang.style.filter="light(enabled=true)"
zd_kuang.filters[0].clear();zd_kuang.filters[0].addAmbient(255,255,255,obj.cishu);
}else{zddh.cle(obj.go);zddh.jn_地狱魔の审判2(obj)}
},50)
},2000)
}else if(jnname=="灰天血爆绝杀"||jnname=="神说俺样最强"){
zddh.zdtexie(jnname,jingong);
}else{alert("Sorry!技能 "+jnname+" 暂时未开发完成,此次释放无效!\n\n已开发完成的技能,请参考帮助文件");zdme.xingdong=true;return zd.zdjinxing();}
},
jn_圣堂神の祝福2:function(mubiao){
jn.usexiaoguo(zd.jnobj1,zd.jnobj2,mubiao);
zddh.enddh2(mubiao,"受到神之祝福");
},
jn_地狱魔の审判2:function(obj){yinxiao("夜晚");
obj.go=setInterval(function(){
if(obj.cishu<70){obj.cishu+=4;zd_kuang.filters[0].clear();zd_kuang.filters[0].addAmbient(70,70,255,obj.cishu);}else{obj.filters[0].duration=2;
yinxiao("风1");obj.filters[0].apply();obj.src="img/lihui/miaoleila.gif";obj.filters[0].play();
zddh.cle(obj.go);setTimeout(function(){zddh.jn_地狱魔の审判3(obj)},2000)
}
},50)
},
jn_地狱魔の审判3:function(obj){
gdtext(bodywid/2,bodyhei/2,"米奥蕾拉:狂欢之夜呢!");yinxiao("发射10")
var obj2=document.createElement("IMG");obj2.src="img/zd/chushou.gif"
obj2.style.left=zd.zhongxin.offsetLeft;obj2.style.top=zd.zhongxin.offsetTop;obj2.style.width=zd1td[0].offsetWidth;obj2.style.height=zd1td[0].offsetHeight
zd_kuang.appendChild(obj2);
var obj3=document.createElement("V:IMAGE");obj3.src="img/zd/zi1.gif";obj3.style.width=256;obj3.style.height=256;
obj3.style.left=bodywid/2-128;obj3.style.top=bodyhei/2-128;obj3.rotation=0;
obj3.go=setInterval(function(){obj3.rotation+=30},40)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"米奥蕾拉:雷の罚 - 戮罪审判");zd_kuang.appendChild(obj3);obj2.src="img/zd/leidian1.gif";yinxiao("击中7");
},1500);
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"米奥蕾拉:炎の罚 - 欲罪审判");obj2.src="img/zd/lieyan.gif";obj3.src="img/zd/zi2.gif";yinxiao("发射9")},3000);
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"米奥蕾拉:冻の罚 - 漠罪审判");obj2.src="img/zd/jn_jbz.gif";obj3.src="img/zd/zi3.gif";yinxiao("发射6")},4500);
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"米奥蕾拉:裂の罚 - 奢罪审判");obj2.src="img/zd/end10.gif";obj3.src="img/zd/zi4.gif";yinxiao("发射17")},6000);
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"米奥蕾拉:魔の罚 - 末日审判");obj2.src="img/zd/yuanzidan.gif";obj3.src="img/zd/zi5.gif";yinxiao("发射11")},7500);
setTimeout(function(){zddh.cle(obj3.go);zd_kuang.removeChild(obj3);zd_kuang.filters[0].clear();zd_kuang.filters[0].addAmbient(255,255,255,0);
obj.cishu=0;obj.go=setInterval(function(){
if(obj.cishu<100){obj.cishu+=4;zd_kuang.filters[0].clear();zd_kuang.filters[0].addAmbient(255,255,255,obj.cishu)}else{
zddh.cle(obj.go);gdtext(bodywid/2,bodyhei/2,selwj.name+":谢谢你!");
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"米奥蕾拉:魔鬼与你同在!");
obj.filters[0].apply();obj.style.visibility="hidden";obj.filters[0].play();},1500)
setTimeout(function(){zd_kuang.removeChild(obj);zd_kuang.removeChild(obj2);zd_kuang.filters[0].clear();zd_kuang.style.filter=null;
for(var i=0;i<zd.tds.length;i++){if(zd.tds[i]!=null){zddh.enddh(zd.tds[i],zd_kuang.jingong,zd.jnobj1.getAttribute("n"));}}
},2500)
}
},50)
},9000)
},
jn_帝国幻影突刺2:function(obj){obj.go=setInterval(function(){obj.dex+=3;if(obj.cishu>5){zddh.shanguang("red");zddh.cle(obj.go);obj.style.filter=null;return obj.removeNode(true);}
if(obj.cishu!=obj.oldcishu){obj.oldcishu=obj.cishu;
obj.cishu%2==0?obj.style.filter="light(enabled=true)":obj.style.filter="light(enabled=true) fliph";
obj.filters[0].clear();obj.filters[0].addAmbient(130,130,130,obj.i);}
if(obj.cishu%2==0){obj.style.left=obj.offsetLeft-obj.dex;if(obj.offsetLeft<0){obj.cishu++;obj.style.left=0};obj.style.filter="light(enabled=true)";}
else{obj.style.left=obj.offsetLeft+obj.dex;if(obj.offsetLeft>bodywid){obj.cishu++;obj.style.left=bodywid};obj.style.filter="light(enabled=true) fliph";}
},30);
},
jn_暗黑时代合战2:function(obj,jiaobj){for(var i=1;i<zdme.length;i++)zdme[i].style.visibility="hidden";
obj.filters[0].duration=1;obj.filters[0].apply();obj.src="img/lihui/liehuo.gif";obj.style.height="100%";obj.filters[0].play();
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"凤天翔:暗黑全军就位完毕!");zddh.huangdong(window);},500)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"风云舞:为那崇高执念,一齐出击!");yinxiao("冲杀2")
jiaobj.sudu=0;jiaobj.go=setInterval(function(){jiaobj.sudu+=2;
if(jiaobj.offsetTop>-jiaobj.offsetHeight){jiaobj.style.top=jiaobj.offsetTop-jiaobj.sudu}else{
zddh.cle(jiaobj.go);zd_kuang.removeChild(jiaobj);}
},40)
obj.cishu=27;obj.sudu=0;obj.go=setInterval(function(){
if(obj.cishu--<0){zddh.jn_暗黑时代合战4(obj);zddh.cle(obj.go);}else{obj.sudu+=2;
zddh.jn_暗黑时代合战3(obj,obj.sudu,30);if(random()>0.5){random()>0.5?yinxiao("男攻声"):yinxiao("女攻声");}}
},200)
},1500)
setTimeout(function(){obj.filters[0].apply();obj.src="img/lihui/qingguo.gif";obj.style.height="100%";obj.filters[0].play();},2000)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"艾丽西亚:姐妹们,多俘虏几个帅哥!")},2500)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"暗黑女剑士:要得!")},3500)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"男战士:吼~!我们不要帅哥!")},4000)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"男战士:暗黑魔女,我的女神")},4500)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"艾丽西亚:汗,你们不够我玩!")},5000)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,wj[0].name+":暗黑兄弟会万岁!")},6000)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"暗黑军:为了["+wj[0].name+"],而战!")},7000)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"男战士:为了抓住美女,而战!")},7500)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"暗黑女剑士:为了抓住帅哥而战,吼~!")},8000)
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"敌人:简直是作弊!哇~啊啊啊 啊 啊痛!")},8500)
},
jn_暗黑时代合战3:function(obj,thesudu,thezongshu){
var thesrc="",obj2=document.createElement("IMG");
if(obj.cishu+(zdme.length-1)>=thezongshu){obj2.src=zdme[thezongshu-obj.cishu].src}else if(obj.cishu==thezongshu-zdme.length){obj2.src="img/gw/anhei11.gif";}else if(obj.cishu==thezongshu-zdme.length-1){obj2.src="img/gw/anhei12.gif";}else{
obj2.src="img/gw/anhei"+Math.ceil(random()*2)+".gif";}
obj2.style.left=bodywid*random();obj2.style.top=bodyhei-200;zd_kuang.appendChild(obj2);
if(obj2.offsetLeft<0)obj2.style.left=1;if(obj2.offsetLeft+obj2.offsetWidth>bodywid)obj2.style.left=bodywid-obj2.offsetWidth;
obj2.thesudu=thesudu;
obj2.go=setInterval(function(){
if(obj2.offsetTop>-obj2.offsetHeight){obj2.thesudu+=2;obj2.style.top=obj2.offsetTop-obj2.thesudu;
}else{zddh.cle(obj2.go);zd_kuang.removeChild(obj2);if(random()>0.5)yinxiao("击中"+Math.ceil(random()*3))}
},35)},
jn_暗黑时代合战4:function(obj){
for(var i=1;i<zdme.length;i++)zdme[i].style.visibility="visible";
gdtext(bodywid/2,bodyhei/2,wj[0].name+":感鸡不尽~!");
setTimeout(function(){gdtext(bodywid/2,bodyhei/2,"艾丽西亚:暗黑庇护他的朋友!");obj.filters[0].duration=2;obj.filters[0].apply();obj.style.visibility="hidden";obj.filters[0].play();
},1000)
setTimeout(function(){zddh.cle(obj.go);zd_kuang.removeChild(obj);
for(var i=0;i<zd.tds.length;i++){if(zd.tds[i]!=null){zddh.enddh(zd.tds[i],zd_kuang.jingong,zd.jnobj1.getAttribute("n"));}}
},2500)
},
jn_小旋风2:function(obj,jingong,iis){
obj.go=setInterval(function(){obj.dex=parseFloat(obj.dex)+0.4;
if(iis==0){obj.style.left=obj.offsetLeft-obj.dex}
else if(iis==1){obj.style.top=obj.offsetTop-obj.dex}
else if(iis==2){obj.style.left=obj.offsetLeft+obj.dex}
else if(iis==3){obj.style.top=obj.offsetTop+obj.dex}
if(obj.offsetLeft<-obj.offsetWidth||obj.offsetTop<-obj.offsetHeight||obj.offsetLeft>bodywid||obj.offsetTop>bodyhei){
zddh.cle(obj.go);obj.removeNode(true);
zd_kuang.jnxxf--;if(zd_kuang.jnxxf==0){for(var i=0;i<zd.tds.length;i++){if(zd.tds[i]!=null)zddh.enddh(zd.tds[i],jingong,zd.jnobj1.getAttribute("n"));}}
}},30)
},
jn_治愈术2:function(obj,mubiao){
obj.go=setTimeout(function(){zddh.enddh2(mubiao,"HP+"+jn.usexiaoguo(zd.jnobj1,zd.jnobj2,mubiao));obj.removeNode(true);},1650)
},
jn_希望之光2:function(mubiao){
zddh.enddh2(mubiao,jn.usexiaoguo(zd.jnobj1,zd.jnobj2,mubiao));
},
jn_圣火2:function(obj,mubiao,jingong,tm1,tm2,tm3,tm4){
obj.go2=setTimeout(function(){obj.style.visibility="hidden"},200)
obj.go=setInterval(function(){if(++obj.yibu1>obj.yibu2){zddh.enddh(mubiao,jingong,zd.jnobj1.getAttribute("n"));zddh.cle(obj.go);return obj.removeNode(true)};
var obj2=document.createElement("IMG");obj2.src=obj.src
obj2.style.left=tm1*obj.yibu1+tm2;obj2.style.top=tm3*obj.yibu1+tm4;
obj2.go=setTimeout(function(){obj2.removeNode(true)},500);zd_kuang.appendChild(obj2)
},40)
},
jn_火墙2:function(obj,mubiao,jingong){
obj.style.width=zd1td[0].offsetWidth;obj.style.height=round(zd1td[0].offsetHeight/2.5);
mubiao.parentElement.huoqiang=obj;obj.clearmubiao=mubiao.parentElement
obj.go=setInterval(function(){
if(zd.zdzhong==false||obj.huihe<=0){zddh.cle(obj.go);obj.clearmubiao.huoqiang=null;return obj.removeNode(true)}
},100)
},
jn_病毒瘟疫2:function(obj){
obj.go=setTimeout(function(){obj.removeNode(true)},1900);
},
jn_光弧球2:function(obj,mubiao,jingong,tm1,tm2,tm3,tm4){
obj.go=setInterval(function(){if(++obj.yibu1>obj.yibu2){zddh.enddh(mubiao,jingong,zd.jnobj1.getAttribute("n"));zddh.cle(obj.go);return obj.removeNode(true)};obj.style.left=tm1*obj.yibu1+tm2;obj.style.top=tm3*obj.yibu1+tm4},25)
},
jn_飞翔天征剑2:function(obj,mubiao,jingong,tm1,tm2,tm3,tm4){
obj.go=setInterval(function(){if(++obj.yibu1>obj.yibu2){zddh.enddh(mubiao,jingong,zd.jnobj1.getAttribute("n"));zddh.cle(obj.go);return obj.removeNode(true)};obj.style.left=tm1*obj.yibu1+tm2;obj.style.top=tm3*obj.yibu1+tm4},25)
},
jn_雷光破2:function(obj,mubiao,jingong,tm1,tm2,tm3,tm4){
obj.go=setInterval(function(){if(++obj.yibu1>obj.yibu2){zddh.huangdong(mubiao);zddh.cle(obj.go);
obj.go=setTimeout(function(){zddh.enddh(mubiao,jingong,zd.jnobj1.getAttribute("n"));return obj.removeNode(true)},800)
};
obj.style.left=tm1*obj.yibu1+tm2;obj.style.top=tm3*obj.yibu1+tm4},25)
},
jn_虎牙双破斩2:function(obj,mubiao,jingong,tm1,tm2,tm3,tm4){
obj.go=setInterval(function(){if(++obj.yibu1>obj.yibu2){zddh.enddh(mubiao,jingong,zd.jnobj1.getAttribute("n"));zddh.cle(obj.go);return obj.removeNode(true)};obj.style.left=tm1*obj.yibu1+tm2;obj.style.top=tm3*obj.yibu1+tm4;obj.rotation+=25},30)
},
jn_极光次元斩2:function(obj,mubiao,jingong){
obj.go=setInterval(function(){zddh.enddh(mubiao,jingong,zd.jnobj1.getAttribute("n"));zddh.cle(obj.go);return obj.removeNode(true);},900+round(500*random()))
},

endcishu:0,  //动画执行多少次,在zdjinxing()
enddh2:function(mubiao,helptxt){  //祝福类动作结束处理
var x=mubiao.parentElement.offsetLeft+(mubiao.parentElement.offsetWidth/2)
var y=mubiao.parentElement.offsetTop+(mubiao.parentElement.offsetHeight/2)
if(mubiao.id=="zdme"){gx_rpg();tbzt.zhuangtai();y=zd2.offsetTop+mubiao.parentElement.offsetTop+(mubiao.parentElement.offsetHeight/2)}
else{for(var i=0;i<zd1td.length;i++)zd1td[i].bgColor=""}
gdtext(x,y,helptxt);if(--zddh.endcishu<=0)return zd.zdjinxing()
},

enddh:function(mubiao,jingong,whatjn){  //进攻类动作结束处理
var x=mubiao.parentElement.offsetLeft+(mubiao.parentElement.offsetWidth/2)
var y=mubiao.parentElement.offsetTop+(mubiao.parentElement.offsetHeight/2)
if(mubiao.id=="zdme")y+=zd2.offsetTop
var tempw=zd1td[0].offsetWidth*2,temph=zd1td[0].offsetHeight*2


var obj=document.createElement("IMG");
if(whatjn=="常规攻击"){
if(jingong.id=="zdgw"){obj.src="img/zd/end1.gif";yinxiao("击中1")}
if(jingong.id!="zdgw"&&jingong.sname!=wj[0].name){obj.src="img/zd/end1.gif";yinxiao("击中1")}else{
if(jingong.id!="zdgw"&&yd.zt=="飞行"){obj.src="img/zd/gj_end2.gif";yinxiao("击中9")}
if(jingong.id!="zdgw"&&yd.zt!="飞行"){obj.src="img/zd/gj_end1.gif";yinxiao("击中2")}}
}else if(whatjn=="常规魔法攻击"){
obj.src="img/zd/end4.gif";yinxiao("击中8")
}else{var tempjn=xml.getjn(whatjn.split("=")[0]);
if(tempjn.getAttribute("endgif")!=null)obj.src="img/zd/"+tempjn.getAttribute("endgif")
if(tempjn.getAttribute("sound2")!=null)yinxiao(tempjn.getAttribute("sound2"))
}
obj.style.width=tempw;obj.style.height=temph
obj.style.left=x-(tempw/2);obj.style.top=y-(temph/2)
obj.go=setTimeout(function(){obj.removeNode(true);},1000)
zd_kuang.appendChild(obj);


var tempsh=zd.shanghai(jingong,mubiao,whatjn),tempsh2=tempsh
if(tempsh=="未命中"){tempsh=0}else{
if(tempsh.toString().indexOf("<br>")!=-1)tempsh=tempsh.split("\n")[0]
if(tempsh.toString().indexOf("暴击")!=-1){tempsh=tempsh.replace(" 暴击","");}
if(tempsh.indexOf("俘获")==-1)tempsh=parseInt(tempsh);
}

if(mubiao.id=="zdme"){  //怪进攻完毕
if(document.getElementById("dijnuse1")!=null){jingong.style.visibility="visible";dijnuse1.removeNode(true);dijnuse2.removeNode(true)}

var tempwj=wj[mubiao.num];tempwj.nu1+=2+getqianneng("怒火增长加快");
if(getzt(me,"俺样最强")!=null){yinxiao("俺样最强3");tempsh=0;tempsh2="0<br><font style='color:yellow;'>俺样最强！</font>";}

tempwj.hp1-=tempsh;if(tempsh>0){tempwj.hp1<tempwj.hp2*0.35?zddh.shanguang("#FF5A5A"):zddh.huangdong(shuzhi);}
zddh.shtext(x,y,"- "+tempsh2.replace(/\<br\>mp\$\$\$jian\=(\d+)/g,"<font style='color:#3A52FD'>-$1</font>"),mubiao);
if(tempsh>0&&mubiao.siwang!=true&&(whatjn.indexOf("巨石敲脑壳")!=-1||whatjn.indexOf("人间崩坏")!=-1))guaidh.jitui(mubiao,50);
if(getzt(jingong,"吸血",true)!=null){jingong.shp1=parseInt(jingong.shp1)+tempsh;jingong.shp2=parseInt(jingong.shp2)+tempsh}

if(whatjn.indexOf("异次元之门")!=-1&&mubiao.num!=0&&random()>0.5&&tempsh>0){
for(var i=0;i<zd.wofang.length;i++){if(zd2td[zd.wofang[i]].getElementsByTagName("IMG")[0]==mubiao){zd.wofang.splice(i,1)}}
for(var i=0;i<zd.tds.length;i++){if(zd.tds[i]==mubiao)zd.tds[i]=null}
wj[mubiao.num].hp1=1;mubiao.removeNode(true)
}

var temp1=getqianneng("反戈一击");if((whatjn=="常规攻击"||whatjn.indexOf("致命打击"))!=-1&&temp1>0){
if(random()>0.25&&getzt(jingong,"防反击",true)==null){
jingong.shp1=parseInt(jingong.shp1)-temp1;
zddh.shtext(jingong.parentElement.offsetLeft+(jingong.parentElement.offsetWidth/2),jingong.parentElement.offsetTop+(jingong.parentElement.offsetHeight/2),"- "+temp1,jingong);
if(jingong.shp1<1&&getzt(jingong,"重生",true)==null)return guaidh.siwang(jingong,mubiao,whatjn)

}else{
zddh.shtext(jingong.parentElement.offsetLeft+(jingong.parentElement.offsetWidth/2),jingong.parentElement.offsetTop+(jingong.parentElement.offsetHeight/2),"- 未命中",jingong);
}}
gx_rpg();
}else{  //我进攻完毕
if(whatjn.indexOf("神说俺样最强")!=-1){tempsh=zd.getweili();tempsh2=tempsh.toString()}
if(tempsh=="俘获成功"){zddh.aixin(mubiao.parentElement);rpg.fuhuoshu++;wjjs.add(mubiao.sname);mubiao.shp1=0;tempsh=0;}
if(tempsh=="运差,俘获失败")tempsh=0;
mubiao.shp1=parseInt(mubiao.shp1)-tempsh;
if(getzt(mubiao,"还击",true)!=null){var huanji=random()>0.25?parseInt(mubiao.slv):"未命中";
if(huanji!="未命中"){selwj.hp1-=mubiao.slv;gx_rpg();}
zddh.shtext(jingong.parentElement.offsetLeft+(jingong.parentElement.offsetWidth/2),zd2.offsetTop+jingong.parentElement.offsetTop+(jingong.parentElement.offsetHeight/2),"- "+huanji,jingong);
}
if(mubiao.shp1>mubiao.shp2*2)mubiao.shp1=round(mubiao.shp1/1000)
zddh.shtext(x,y,"- "+tempsh2.replace(/\<br\>mp\$\$\$jian\=(\d+)/g,"<font style='color:#3A52FD'>-$1</font>"),mubiao);
if(mubiao.shp1<1){  //怪物死亡
if(getzt(mubiao,"重生",true)!=null){mubiao.lightdex=0;yinxiao("重生");mubiao.style.filter="light(enabled=true)";
mubiao.shp1=round(mubiao.shp2/2+(mubiao.shp2/2*random()));mubiao.smp1=mubiao.smp2;addzt(mubiao,"重生",0,0);  //怪重生
mubiao.go=setInterval(function(){mubiao.lightdex+=5;if(mubiao.lightdex>=100){zddh.cle(mubiao.go);mubiao.removeAttribute("go");mubiao.style.filter=null;
gdtext(mubiao.parentElement.offsetLeft,mubiao.parentElement.offsetTop,"可恶!好强的人!");}else{
mubiao.filters[0].clear();mubiao.filters[0].addAmbient(255,255,255,mubiao.lightdex);}
},40)
}else{obj.style.display="none";return guaidh.siwang(mubiao,jingong,whatjn)}  //已死
};
if(tempsh>0&&whatjn.indexOf("蓄能击退")!=-1)guaidh.jitui(mubiao,40);
if(whatjn.indexOf("地狱魔の审判")!=-1)guaidh.jitui(mubiao,100);
}
var thegaosu=zdsz_new1.checked?400:800;
if(whatjn=="常规攻击"||whatjn=="常规魔法攻击")return setTimeout("zd.zdjinxing()",thegaosu)  //非怪死亡攻击结束
if(--zddh.endcishu==0){thegaosu=zdsz_new1.checked?500:1000;
if(whatjn=="灰天血爆绝杀"){for(var i=0;i<wj.length;i++){if(wj[i].name!=""){wj[i].nu1+=round((wj[i].nu2/100)*parseInt(zd.getweili()));}}}
for(var i=0;i<zd2td.length;i++)zd2td[i].bgColor=""
return setTimeout(function(){zd.zdjinxing()},thegaosu);
}
}
}